"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cssKeys = {
    accentColor: 'accent-color',
    active: '&:active{|}',
    after: '&::after{|}',
    alignContent: 'align-content',
    alignItems: 'align-items',
    alignSelf: 'align-self',
    alignmentBaseline: 'alignment-baseline',
    all: 'all',
    animation: 'animation',
    animationDelay: 'animation-delay',
    animationDirection: 'animation-direction',
    animationDuration: 'animation-duration',
    animationFillMode: 'animation-fill-mode',
    animationIterationCount: 'animation-iteration-count',
    animationName: 'animation-name',
    animationPlayState: 'animation-play-state',
    animationTimingFunction: 'animation-timing-function',
    appearance: 'appearance',
    aspectRadio: 'aspect-radio',
    backfaceVisibility: 'backface-visibility',
    background: 'background',
    backgroundAttachment: 'background-attachment',
    backgroundBlendMode: 'background-blend-mode',
    backgroundClip: 'background-clip',
    backgroundColor: 'background-color',
    backgroundImage: 'background-image',
    backgroundOrigin: 'background-origin',
    backgroundPosition: 'background-position',
    backgroundPositionX: 'background-position-x',
    backgroundPositionY: 'background-position-y',
    backgroundRepeat: 'background-repeat',
    backgroundRepeatX: 'background-repeat-x',
    backgroundRepeatY: 'background-repeat-y',
    backgroundSize: 'background-size',
    baselineShift: 'baseline-shift',
    before: '&::before{|}',
    blockSize: 'block-size',
    border: 'border',
    borderBlock: 'border-block',
    borderBlockColor: 'border-block-color',
    borderBlockEnd: 'border-block-end',
    borderBlockEndColor: 'border-block-end-color',
    borderBlockEndStyle: 'border-block-end-style',
    borderBlockEndWidth: 'border-block-end-width',
    borderBlockStart: 'border-block-start',
    borderBlockStartColor: 'border-block-start-color',
    borderBlockStartStyle: 'border-block-start-style',
    borderBlockStartWidth: 'border-block-start-width',
    borderBlockStyle: 'border-block-style',
    borderBlockWidth: 'border-block-width',
    borderBottom: 'border-bottom',
    borderBottomColor: 'border-bottom-color',
    borderBottomLeftRadius: 'border-bottom-left-radius',
    borderBottomRadius: 'border-bottom-right-radius|border-bottom-left-radius',
    borderBottomRightRadius: 'border-bottom-right-radius',
    borderBottomStyle: 'border-bottom-style',
    borderBottomWidth: 'border-bottom-width',
    borderCollapse: 'border-collapse',
    borderColor: 'border-color',
    borderEndEndRadius: 'border-end-end-radius',
    borderEndStartRadius: 'border-end-start-radius',
    borderImage: 'border-image',
    borderImageOutset: 'border-image-outset',
    borderImageRepeat: 'border-image-repeat',
    borderImageSlice: 'border-image-slice',
    borderImageSource: 'border-image-source',
    borderImageWidth: 'border-image-width',
    borderInline: 'border-inline',
    borderInlineColor: 'border-inline-color',
    borderInlineEnd: 'border-inline-end',
    borderInlineEndColor: 'border-inline-end-color',
    borderInlineEndStyle: 'border-inline-end-style',
    borderInlineEndWidth: 'border-inline-end-width',
    borderInlineStart: 'border-inline-start',
    borderInlineStartColor: 'border-inline-start-color',
    borderInlineStartStyle: 'border-inline-start-style',
    borderInlineStartWidth: 'border-inline-start-width',
    borderInlineStyle: 'border-inline-style',
    borderInlineWidth: 'border-inline-width',
    borderLeft: 'border-left',
    borderLeftBottomRadius: 'border-bottom-left-radius',
    borderLeftColor: 'border-left-color',
    borderLeftRadius: 'border-top-left-radius|border-bottom-left-radius',
    borderLeftStyle: 'border-left-style',
    borderLeftTopRadius: 'border-top-left-radius',
    borderLeftWidth: 'border-left-width',
    borderRadius: 'border-radius',
    borderRight: 'border-right',
    borderRightBottomRadius: 'border-bottom-right-radius',
    borderRightColor: 'border-right-color',
    borderRightRadius: 'border-top-right-radius|border-bottom-right-radius',
    borderRightStyle: 'border-right-style',
    borderRightTopRadius: 'border-top-right-radius',
    borderRightWidth: 'border-right-width',
    borderSpacing: 'border-spacing',
    borderStartEndRadius: 'border-start-end-radius',
    borderStartStartRadius: 'border-start-start-radius',
    borderStyle: 'border-style',
    borderTop: 'border-top',
    borderTopColor: 'border-top-color',
    borderTopLeftRadius: 'border-top-left-radius',
    borderTopRadius: 'border-top-right-radius|border-top-left-radius',
    borderTopRightRadius: 'border-top-right-radius',
    borderTopStyle: 'border-top-style',
    borderTopWidth: 'border-top-width',
    borderWidth: 'border-width',
    bottom: 'bottom',
    boxDecorationBreak: 'box-decoration-break',
    boxShadow: 'box-shadow',
    boxSizing: 'box-sizing',
    breakAfter: 'break-after',
    breakBefore: 'break-before',
    breakInside: 'break-inside',
    captionSide: 'caption-side',
    caret: 'caret',
    caretColor: 'caret-color',
    caretShape: 'caret-shape',
    checked: '&:checked{|}',
    clear: 'clear',
    clip: 'clip',
    clipPath: 'clip-path',
    clipRule: 'clip-rule',
    color: 'color',
    colorAdjust: 'color-adjust',
    colorInterpolation: 'color-interpolation',
    colorInterpolationFilters: 'color-interpolation-filters',
    colorScheme: 'color-scheme',
    columnCount: 'column-count',
    columnFill: 'column-fill',
    columnGap: 'column-gap',
    columnRule: 'column-rule',
    columnRuleColor: 'column-rule-color',
    columnRuleStyle: 'column-rule-style',
    columnRuleWidth: 'column-rule-width',
    columnSpan: 'column-span',
    columnWidth: 'column-width',
    columns: 'columns',
    contain: 'contain',
    containIntrinsicSize: 'contain-intrinsic-size',
    content: 'content',
    contentVisibility: 'content-visibility',
    counterIncrement: 'counter-increment',
    counterReset: 'counter-reset',
    counterSet: 'counter-set',
    cursor: 'cursor',
    default: '&:default{|}',
    direction: 'direction',
    disabled: '&:disabled{|}',
    display: 'display',
    dominantBaseline: 'dominant-baseline',
    elevation: 'elevation',
    empty: '&:empty{|}',
    emptyCells: 'empty-cells',
    enabled: '&:enabled{|}',
    fill: 'fill',
    fillOpacity: 'fill-opacity',
    fillRule: 'fill-rule',
    filter: 'filter',
    flex: 'flex',
    flexBasis: 'flex-basis',
    flexDirection: 'flex-direction',
    flexFlow: 'flex-flow',
    flexGrow: 'flex-grow',
    flexShrink: 'flex-shrink',
    flexWrap: 'flex-wrap',
    float: 'float',
    floodColor: 'flood-color',
    floodOpacity: 'flood-opacity',
    focus: '&:focus{|}',
    focusWithin: '&:focus-within{|}',
    font: 'font',
    fontFamily: 'font-family',
    fontFeatureSettings: 'font-feature-settings',
    fontKerning: 'font-kerning',
    fontLanguageOverride: 'font-language-override',
    fontOpticalSizing: 'font-optical-sizing',
    fontSize: 'font-size',
    fontSizeAdjust: 'font-size-adjust',
    fontStretch: 'font-stretch',
    fontStyle: 'font-style',
    fontSynthesis: 'font-synthesis',
    fontVariant: 'font-variant',
    fontVariantCaps: 'font-variant-caps',
    fontVariantEastAsian: 'font-variant-east-asian',
    fontVariantLigatures: 'font-variant-ligatures',
    fontVariantNumeric: 'font-variant-numeric',
    fontVariantPosition: 'font-variant-position',
    fontVariantionSettings: 'font-variantion-settings',
    fontWeight: 'font-weight',
    forcedColorAdjust: 'forced-color-adjust',
    fullscreen: '&:fullscreen{|}',
    gap: 'gap',
    glyphOrientationVertical: 'glyph-orientation-vertical',
    grid: 'grid',
    gridArea: 'grid-area',
    gridAutoColumns: 'grid-auto-columns',
    gridAutoFlow: 'grid-auto-flow',
    gridAutoRows: 'grid-auto-rows',
    gridColumn: 'grid-column',
    gridColumnEnd: 'grid-column-end',
    gridColumnGap: 'grid-column-gap',
    gridColumnStart: 'grid-column-start',
    gridGap: 'grid-gap',
    gridRow: 'grid-row',
    gridRowEnd: 'grid-row-end',
    gridRowGap: 'grid-row-gap',
    gridRowStart: 'grid-row-start',
    gridTemplate: 'grid-template',
    gridTemplateAreas: 'grid-template-areas',
    gridTemplateColumns: 'grid-template-columns',
    gridTemplateRows: 'grid-template-rows',
    hangingPunctuation: 'hanging-punctuation',
    height: 'height',
    hover: '&:hover{|}',
    hyphens: 'hyphens',
    iconSize: 'height|width',
    imageOrientation: 'image-orientation',
    imageRendering: 'image-rendering',
    imageResolution: 'image-resolution',
    indeterminate: '&:indeterminate{|}',
    initialLetter: 'initial-letter',
    inlineSize: 'inline-size',
    inRange: '&:in-range{|}',
    inset: 'inset',
    insetBlock: 'inset-block',
    insetBlockEnd: 'inset-block-end',
    insetBlockStart: 'inset-block-start',
    insetInline: 'inset-inline',
    insetInlineEnd: 'inset-inline-end',
    insetInlineStart: 'inset-inline-start',
    invalid: '&:invalid{|}',
    isolation: 'isolation',
    justifyContent: 'justify-content',
    justifyItems: 'justify-items',
    justifySelf: 'justify-self',
    left: 'left',
    letterSpacing: 'letter-spacing',
    lightingColor: 'lighting-color',
    lineBreak: 'line-break',
    lineClamp: 'line-clamp',
    lineHeight: 'line-height',
    lineHeightStep: 'line-height-step',
    link: '&:link{|}',
    listStyle: 'list-style',
    listStyleImage: 'list-style-image',
    listStylePosition: 'list-style-position',
    listStyleType: 'list-style-type',
    margin: 'margin',
    marginBlock: 'margin-block',
    marginBlockEnd: 'margin-block-end',
    marginBlockStart: 'margin-block-start',
    marginBottom: 'margin-bottom',
    marginHorizontal: 'margin-right|margin-left',
    marginInline: 'margin-inline',
    marginInlineEnd: 'margin-inline-end',
    marginInlineStart: 'margin-inline-start',
    marginLeft: 'margin-left',
    marginRight: 'margin-right',
    marginTop: 'margin-top',
    marginVertical: 'margin-top|margin-bottom',
    marker: 'marker',
    markerEnd: 'marker-end',
    markerMid: 'marker-mid',
    markerStart: 'marker-start',
    mask: 'mask',
    maskBorder: 'mask-border',
    maskBorderMode: 'mask-border-mode',
    maskBorderOutset: 'mask-border-outset',
    maskBorderRepeat: 'mask-border-repeat',
    maskBorderSlice: 'mask-border-slice',
    maskBorderSource: 'mask-border-source',
    maskBorderWidth: 'mask-border-width',
    maskClip: 'mask-clip',
    maskComposite: 'mask-composite',
    maskMode: 'mask-mode',
    maskOrigin: 'mask-origin',
    maskPosition: 'mask-position',
    maskReference: 'mask-reference',
    maskRepeat: 'mask-repeat',
    maskSize: 'mask-size',
    maskType: 'mask-type',
    maxBlockSize: 'max-block-size',
    maxHeight: 'max-height',
    maxInlineSize: 'max-inline-size',
    maxLines: 'max-lines',
    maxWidth: 'max-width',
    minBlockSize: 'min-block-size',
    minHeight: 'min-height',
    minInlineSize: 'min-inline-size',
    minWidth: 'min-width',
    mixBlendMode: 'mix-blend-mode',
    objectFit: 'object-fit',
    objectPosition: 'object-position',
    offset: 'offset',
    offsetAnchor: 'offset-anchor',
    offsetDistance: 'offset-distance',
    offsetPath: 'offset-path',
    offsetPosition: 'offset-position',
    offsetRotate: 'offset-rotate',
    opacity: 'opacity',
    optional: '&:optional{|}',
    order: 'order',
    orphans: 'orphans',
    outline: 'outline',
    outlineColor: 'outline-color',
    outlineOffset: 'outline-offset',
    outlineStyle: 'outline-style',
    outlineWidth: 'outline-width',
    outOfRange: ':out-of-range',
    overflow: 'overflow',
    overflowAnchor: 'overflow-anchor',
    overflowBlock: 'overflow-block',
    overflowClipMargin: 'overflow-clip-margin',
    overflowInline: 'overflow-inline',
    overflowWrap: 'overflow-wrap',
    overflowX: 'overflow-x',
    overflowY: 'overflow-y',
    overscrollBehavior: 'overscroll-behavior',
    overscrollBehaviorBlock: 'overscroll-behavior-block',
    overscrollBehaviorInline: 'overscroll-behavior-inline',
    overscrollBehaviorX: 'overscroll-behavior-x',
    overscrollBehaviorY: 'overscroll-behavior-y',
    padding: 'padding',
    paddingBlock: 'padding-block',
    paddingBlockEnd: 'padding-block-end',
    paddingBlockStart: 'padding-block-start',
    paddingBottom: 'padding-bottom',
    paddingHorizontal: 'padding-right|padding-left',
    paddingInline: 'padding-inline',
    paddingInlineEnd: 'padding-inline-end',
    paddingInlineStart: 'padding-inline-start',
    paddingLeft: 'padding-left',
    paddingRight: 'padding-right',
    paddingTop: 'padding-top',
    paddingVertical: 'padding-top|padding-bottom',
    pageBreakAfter: 'page-break-after',
    pageBreakBefore: 'page-break-before',
    pageBreakInside: 'page-break-inside',
    perspective: 'perspective',
    perspectiveOrigin: 'perspective-origin',
    placeContent: 'place-content',
    placeholder: '&::placeholder{|}',
    placeItems: 'place-items',
    placeSelf: 'place-self',
    pointerEvents: 'pointer-events',
    position: 'position',
    quotes: 'quotes',
    readOnly: '&:read-only{|}',
    readWrite: '&:read-write{|}',
    resize: 'resize',
    required: '&:required{|}',
    right: 'right',
    rowGap: 'row-gap',
    rubyAlign: 'ruby-align',
    rubyMerge: 'ruby-merge',
    rubyPosition: 'ruby-position',
    scrollBehavior: 'scroll-behavior',
    scrollMargin: 'scroll-margin',
    scrollMarginBlock: 'scroll-margin-block',
    scrollMarginBlockEnd: 'scroll-margin-block-end',
    scrollMarginBlockStart: 'scroll-margin-block-start',
    scrollMarginBottom: 'scroll-margin-bottom',
    scrollMarginInline: 'scroll-margin-inline',
    scrollMarginInlineEnd: 'scroll-margin-inline-end',
    scrollMarginInlineStart: 'scroll-margin-inline-start',
    scrollMarginLeft: 'scroll-margin-left',
    scrollMarginRight: 'scroll-margin-right',
    scrollMarginTop: 'scroll-margin-top',
    scrollPadding: 'scroll-padding',
    scrollPaddingBlock: 'scroll-padding-block',
    scrollPaddingBlockEnd: 'scroll-padding-block-end',
    scrollPaddingBlockStart: 'scroll-padding-block-start',
    scrollPaddingBottom: 'scroll-padding-bottom',
    scrollPaddingInline: 'scroll-padding-inline',
    scrollPaddingInlineEnd: 'scroll-padding-inline-end',
    scrollPaddingInlineStart: 'scroll-padding-inline-start',
    scrollPaddingLeft: 'scroll-padding-left',
    scrollPaddingRight: 'scroll-padding-right',
    scrollPaddingTop: 'scroll-padding-top',
    scrollSnapAlign: 'scroll-snap-align',
    scrollSnapStop: 'scroll-snap-stop',
    scrollSnapType: 'scroll-snap-type',
    scrollbarColor: 'scrollbar-color',
    scrollbarGutter: 'scrollbar-gutter',
    scrollbarWidth: 'scrollbar-width',
    shapeImageThreshold: 'shape-image-threshold',
    shapeMargin: 'shape-margin',
    shapeOutside: 'shape-outside',
    speak: 'speak',
    stroke: 'stroke',
    strokeDasharray: 'stroke-dasharray',
    strokeDashoffset: 'stroke-dashoffset',
    strokeLinecap: 'stroke-linecap',
    strokeLinejoin: 'stroke-linejoin',
    strokeMiterlimit: 'stroke-miterlimit',
    strokeOpacity: 'stroke-opacity',
    strokeWidth: 'stroke-width',
    tabSize: 'tab-size',
    tableLayout: 'table-layout',
    textAlign: 'text-align',
    textAlignLast: 'text-align-last',
    textCombineUpright: 'text-combine-upright',
    textDecoration: 'text-decoration',
    textDecorationColor: 'text-decoration-color',
    textDecorationLine: 'text-decoration-line',
    textDecorationSkipInk: 'text-decoration-skip-ink',
    textDecorationStyle: 'text-decoration-style',
    textDecorationThickness: 'text-decoration-thickness',
    textEmphasis: 'text-emphasis',
    textEmphasisColor: 'text-emphasis-color',
    textEmphasisPosition: 'text-emphasis-position',
    textEmphasisStyle: 'text-emphasis-style',
    textIndent: 'text-indent',
    textJustify: 'text-justify',
    textOrientation: 'text-orientation',
    textOverflow: 'text-overflow',
    textShadow: 'text-shadow',
    textTransform: 'text-transform',
    textUnderlineOffset: 'text-underline-offset',
    textUnderlinePosition: 'text-underline-position',
    top: 'top',
    touchAction: 'touch-action',
    transform: 'transform',
    transformBox: 'transform-box',
    transformOrigin: 'transform-origin',
    transformStyle: 'transform-style',
    transition: 'transition',
    transitionDelay: 'transition-delay',
    transitionDuration: 'transition-duration',
    transitionProperty: 'transition-property',
    transitionTimingFunction: 'transition-timing-function',
    unicodeBidi: 'unicode-bidi',
    userSelect: 'user-select',
    valid: '&:valid{|}',
    verticalAlign: 'vertical-align',
    visibility: 'visibility',
    visited: '&:visited{|}',
    webkitPrintColorAdjust: '-webkit-print-color-adjust',
    webkitTapHighlightColor: '-webkit-tap-highlight-color',
    whiteSpace: 'white-space',
    widows: 'widows',
    width: 'width',
    willChange: 'will-change',
    wordBreak: 'word-break',
    wordSpacing: 'word-spacing',
    wordWrap: 'word-wrap',
    writingMode: 'writing-mode',
    zIndex: 'z-index',
};
exports.default = cssKeys;
